Package org.apache.catalina.filters

## Interface CsrfPreventionFilter.NonceCache<T>

- All Superinterfaces:
    `java.io.Serializable`
  All Known Implementing Classes:
    `CsrfPreventionFilter.LruCache`
  Enclosing class:
    CsrfPreventionFilter

      protected static interface CsrfPreventionFilter.NonceCache<T>
      extends java.io.Serializable

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(T nonce)` |
    `boolean` | `contains​(T nonce)` |

- - ### Method Detail

    - #### add

          void add​(T nonce)

    - #### contains

          boolean contains​(T nonce)